{%- from "horizon/map.jinja" import server with context %}

{#- TODO (msenin): replace this construction on iteration by pillar data #}

{%- if server.app is defined %}
{%- set app = salt['pillar.get']('horizon:server:app:'+app_name) %}
{%- else %}
{%- set app = salt['pillar.get']('horizon:server') %}
{%- endif %}

{%- set _data = app.get('horizon_config', {}) %}

HORIZON_CONFIG = {
    'user_home': {{ _data.get('user_home', 'openstack_dashboard.views.get_user_home') | yaml_squote }},
    'ajax_queue_limit': {{ _data.get('ajax_queue_limit', 10) }},
    'auto_fade_alerts': {
        'delay': {{ _data.get('auto_fade_alerts', {}).get('delay', 3000) }},
        'fade_duration': {{ _data.get('auto_fade_alerts', {}).get('fade_duration', 1500) }},
        'types': {{ _data.get('auto_fade_alerts', {}).get('types', ['alert-success', 'alert-info']) }}
    },
    'help_url': "{{ _data.get('help_url', 'http://docs.openstack.org') }}",
    'exceptions': {'recoverable': exceptions.RECOVERABLE,
                   'not_found': exceptions.NOT_FOUND,
                   'unauthorized': exceptions.UNAUTHORIZED},
    'modal_backdrop': {{ _data.get('modal_backdrop', 'static') | yaml_squote }},
    'angular_modules': [],
    'js_files': [],
    'js_spec_files': [],
    'disable_password_reveal': {{ _data.get('disable_password_reveal', True) }},
  {%- if _data.password_validator is defined %}
    'password_validator': {'regex': {{ _data.password_validator.get('regex') | yaml_squote }},
                           'help_text': {{ _data.password_validator.get('help_text') | yaml_squote }} },
  {%- endif %}
    'password_autocomplete': {{ _data.get('password_autocomplete', 'off') | yaml_squote }}
}

